New post
0

[Visual C++ Redistributable] Error Message - Mandatory Prerequisite Was Not Properly Installed (Solution - Read On!)

Hi,

I'm trying to install Starry Night Celestron 8 for the first time and I receive the following error message during install:

"Visual C++ Redistributable for Visual Studio 2017 x86 mandatory prerequisite was not correctly installed."

It stops the install and won't complete. I searched the forums and Q&A but did not find a comparable problem. Hopefully someone can help me troubleshoot this.

Thanks.

15 comments

  • 0
    Avatar
    Keiron Smith

    Shawn, 

    The Visual C++ error message can be resolved by installing the following software

    https://www.microsoft.com/en-us/download/details.aspx?id=26999

    At the link install both of the following:

    vcredist_x64.exe
    vcredist_x86.exe

  • 0
    Avatar
    Aditya Arun Kumar

    Hey Keron, 
    I installed both the software the previous screen shows that the software is installed, the only thing that is not getting installed is that MFC security update patch, any workarounds?

  • 0
    Avatar
    Keiron Smith

    Sorry, I do not see what the MFC security patch has to do with Starry Night?  If this is stopping the installation or running of Starry Night please attach screenshots that show the relevant message/issue.

    Thanks!

  • 0
    Avatar
    Aditya Arun Kumar

    Hey Keiron, 
    I have attached the images below, the first one is the installation screen, and the next one is the error screen. Kindly advise what can I do.

  • 0
    Avatar
    Aditya Arun Kumar

    Hey Keiron, 
    I've fixed the problem, I simply uninstalled and reinstalled C++ Redistributable for VS2015 x86. Just in case if someone faces the same problem as mine.

     

  • 0
    Avatar
    Keiron Smith

    An excellent result, Aditya!  Thanks for sleuthing out a solution.

    Clear skies and stay safe!

  • 0
    Avatar
    Bryan Worthington

    Hi, friends - I too have been experiencing problems with this error message:

    Visual C++ Redistributable for Visual Studio 2017 x86 mandatory prerequisite was not properly installed.

    I have tried all of these steps THREE TIMES still with no success.  Keiron, do you folks offer any real-time assistance?  I am so frustrated.  I'm not a computer expert, but I'm comfortable with most other apps and software.  I've never had this much trouble before.

    Bryan

     

  • 0
    Avatar
    Aditya Arun Kumar

    Hey try uninstalling the x86 and x64 and reinstall them manually and check.

  • 0
    Avatar
    Bryan Worthington

    Hi, yes I already did that with the same result:  error.

  • 0
    Avatar
    Keiron Smith

    Brayan, 

    Please make sure your Windows 10 OS is up-to-date.  Check for any Windows 10 updates.  Reboot your computer.  Check for any updates again.  Repeat until there are no updates available.

    Look in here: C:\Windows\SysWOW64\msvcr100.dll <--- is the file present?

    Repeat the solution from above.

    The Visual C++ error message can be resolved by installing the following software

    https://www.microsoft.com/en-us/download/details.aspx?id=26999

    At the link install both of the following:

    vcredist_x64.exe
    vcredist_x86.exe

    ^^^ this is the only solution, and it does work for everyone.

    Thanks!

     

  • 0
    Avatar
    Bryan Worthington

    Success at last - THANK YOU!

  • 0
    Avatar
    Kevin d'Abadie

    Hi Keiron,

    I'm having the same installation problems as above.

    I have ensured Windows 10 is up-to-date:

    I have confirmed that the C:\Windows\SysWOW64\msvcr100.dll file is present.

    I have uninstalled, re-installed and repaired to original state both of the following:

    vcredist_x64.exe
    vcredist_x86.exe

    However I still get the following:

    I have cycled through 4 times, but have been unable to get past this error message.

    Is there something I'm missing in the process? Any additional support you could provide would be appreciated.

    Thanks,

    Kevin

     

  • 0
    Avatar
    Keiron Smith

    Kevin, 

    Please try:

    1. Delete Visual C++.  
    2. Reboot your computer.  
    3. Reinstall Visual C++.  
    4. Reboot your computer again.
    5. Try SN8.

    https://www.microsoft.com/en-us/download/details.aspx?id=26999

    At the link install both of the following:

    vcredist_x64.exe
    vcredist_x86.exe

  • 0
    Avatar
    Kevin d'Abadie

    Hi Keiron,

    I have followed the above and it worked, and I have now installed Starry Night Celestron (I did not initially realize there were other years' versions of Visual C++ which also needed to be deleted).

    No SN8 this time, only SN15.

    Thanks,

    Kevin

     

  • 0
    Avatar
    Keiron Smith

    Excellent, Kevin!  Clear skies and stay safe!

Please sign in to leave a comment.